org.apache.olingo.client.api.communication.request.invoke

## Interface EdmEnabledInvokeRequestFactory

- All Superinterfaces:
    InvokeRequestFactory

      public interface EdmEnabledInvokeRequestFactory
      extends InvokeRequestFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends ClientInvokeResult> ODataInvokeRequest<T>` | `getActionImportInvokeRequest(String actionImportName)` Gets an invoke request instance for the action import with the given name.
    `<T extends ClientInvokeResult> ODataInvokeRequest<T>` | `getActionImportInvokeRequest(String actionImportName, Map<String,ClientValue> parameters)` Gets an invoke request instance for the action import with the given name.
    `<T extends ClientInvokeResult> ODataInvokeRequest<T>` | `getBoundActionInvokeRequest(URI bindingParameterURI, FullQualifiedName actionName, FullQualifiedName bindingParameterTypeName, Boolean isBindingParameterCollection)` Gets an invoke request instance for the action bound to given URI (no parameters).
    `<T extends ClientInvokeResult> ODataInvokeRequest<T>` | `getBoundActionInvokeRequest(URI bindingParameterURI, FullQualifiedName actionName, FullQualifiedName bindingParameterTypeName, Boolean isBindingParameterCollection, Map<String,ClientValue> parameters)` Gets an invoke request instance for the action bound to given URI (with parameters).
    `<T extends ClientInvokeResult> ODataInvokeRequest<T>` | `getBoundFunctionInvokeRequest(URI bindingParameterURI, FullQualifiedName functionName, FullQualifiedName bindingParameterTypeName, Boolean isBindingParameterCollection)` Gets an invoke request instance for the function bound to given URI (no parameters).
    `<T extends ClientInvokeResult> ODataInvokeRequest<T>` | `getBoundFunctionInvokeRequest(URI bindingParameterURI, FullQualifiedName functionName, FullQualifiedName bindingParameterTypeName, Boolean isBindingParameterCollection, Map<String,ClientValue> parameters)` Gets an invoke request instance for the function bound to given URI (with parameters).
    `<T extends ClientInvokeResult> ODataInvokeRequest<T>` | `getFunctionImportInvokeRequest(String functionImportName)` Gets an invoke request instance for the function import with the given name and no parameters.
    `<T extends ClientInvokeResult> ODataInvokeRequest<T>` | `getFunctionImportInvokeRequest(String functionImportName, Map<String,ClientValue> parameters)` Gets an invoke request instance for the function import with the given name and matching parameter names.

    - ### Methods inherited from interface org.apache.olingo.client.api.communication.request.invoke.InvokeRequestFactory

      `getActionInvokeRequest, getActionInvokeRequest, getFunctionInvokeRequest, getFunctionInvokeRequest, getInvokeRequest`

- - ### Method Detail

    - #### getFunctionImportInvokeRequest

          <T extends ClientInvokeResult> ODataInvokeRequest<T> getFunctionImportInvokeRequest(String functionImportName)

      Gets an invoke request instance for the function import with the given name and no parameters.
      Type Parameters:
        `T` - OData domain object result, derived from return type defined in the function import
      Parameters:
        `functionImportName` - operation to be invoked
      Returns:
        new `ODataInvokeRequest` instance.

    - #### getFunctionImportInvokeRequest

          <T extends ClientInvokeResult> ODataInvokeRequest<T> getFunctionImportInvokeRequest(String functionImportName,
                                                                                              Map<String,ClientValue> parameters)

      Gets an invoke request instance for the function import with the given name and matching parameter names.
      Type Parameters:
        `T` - OData domain object result, derived from return type defined in the function import
      Parameters:
        `functionImportName` - operation to be invoked
        `parameters` - parameters to pass to operation import invocation
      Returns:
        new `ODataInvokeRequest` instance.

    - #### getActionImportInvokeRequest

          <T extends ClientInvokeResult> ODataInvokeRequest<T> getActionImportInvokeRequest(String actionImportName)

      Gets an invoke request instance for the action import with the given name.
      Type Parameters:
        `T` - OData domain object result, derived from return type defined in the action import
      Parameters:
        `actionImportName` - operation to be invoked
      Returns:
        new `ODataInvokeRequest` instance.

    - #### getActionImportInvokeRequest

          <T extends ClientInvokeResult> ODataInvokeRequest<T> getActionImportInvokeRequest(String actionImportName,
                                                                                            Map<String,ClientValue> parameters)

      Gets an invoke request instance for the action import with the given name.
      Type Parameters:
        `T` - OData domain object result, derived from return type defined in the action import
      Parameters:
        `actionImportName` - operation to be invoked
        `parameters` - parameters to pass to operation import invocation
      Returns:
        new `ODataInvokeRequest` instance.

    - #### getBoundFunctionInvokeRequest

          <T extends ClientInvokeResult> ODataInvokeRequest<T> getBoundFunctionInvokeRequest(URI bindingParameterURI,
                                                                                             FullQualifiedName functionName,
                                                                                             FullQualifiedName bindingParameterTypeName,
                                                                                             Boolean isBindingParameterCollection)

      Gets an invoke request instance for the function bound to given URI (no parameters).
      Type Parameters:
        `T` - OData domain object result
      Parameters:
        `bindingParameterURI` - binding parameter URI
        `functionName` - operation to be invoked
        `bindingParameterTypeName` - binding parameter type full qualified name
        `isBindingParameterCollection` - whether binding parameter is collection
      Returns:
        new `ODataInvokeRequest` instance.

    - #### getBoundFunctionInvokeRequest

          <T extends ClientInvokeResult> ODataInvokeRequest<T> getBoundFunctionInvokeRequest(URI bindingParameterURI,
                                                                                             FullQualifiedName functionName,
                                                                                             FullQualifiedName bindingParameterTypeName,
                                                                                             Boolean isBindingParameterCollection,
                                                                                             Map<String,ClientValue> parameters)

      Gets an invoke request instance for the function bound to given URI (with parameters).
      Type Parameters:
        `T` - OData domain object result
      Parameters:
        `bindingParameterURI` - binding parameter URI
        `functionName` - operation to be invoked
        `bindingParameterTypeName` - binding parameter type full qualified name
        `isBindingParameterCollection` - whether binding parameter is collection
        `parameters` - parameters to pass to function invocation
      Returns:
        new `ODataInvokeRequest` instance.

    - #### getBoundActionInvokeRequest

          <T extends ClientInvokeResult> ODataInvokeRequest<T> getBoundActionInvokeRequest(URI bindingParameterURI,
                                                                                           FullQualifiedName actionName,
                                                                                           FullQualifiedName bindingParameterTypeName,
                                                                                           Boolean isBindingParameterCollection)

      Gets an invoke request instance for the action bound to given URI (no parameters).
      Type Parameters:
        `T` - OData domain object result
      Parameters:
        `bindingParameterURI` - binding parameter URI
        `actionName` - operation to be invoked
        `bindingParameterTypeName` - binding parameter type full qualified name
        `isBindingParameterCollection` - whether binding parameter is collection
      Returns:
        new `ODataInvokeRequest` instance.

    - #### getBoundActionInvokeRequest

          <T extends ClientInvokeResult> ODataInvokeRequest<T> getBoundActionInvokeRequest(URI bindingParameterURI,
                                                                                           FullQualifiedName actionName,
                                                                                           FullQualifiedName bindingParameterTypeName,
                                                                                           Boolean isBindingParameterCollection,
                                                                                           Map<String,ClientValue> parameters)

      Gets an invoke request instance for the action bound to given URI (with parameters).
      Type Parameters:
        `T` - OData domain object result
      Parameters:
        `bindingParameterURI` - binding parameter URI
        `actionName` - operation to be invoked
        `bindingParameterTypeName` - binding parameter type full qualified name
        `isBindingParameterCollection` - whether binding parameter is collection
        `parameters` - parameters to pass to function invocation
      Returns:
        new `ODataInvokeRequest` instance.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.